Subject: Re: [Tools-discuss] NroffEdit 1.01

From: Stefan Santesson <[email-masked]>
Date: Sun, 19 Jul 2009 07:20:39 +0200

Henrik,

I have now posted version 1.1 of NroffEdit, which will be the last update
before IETF.

I have changed the location for support data to /Library/Application
Support/NroffEdit for the Mac version as you suggested.

The shortcut keys for the Mac version uses Command instead of Ctrl now.

NroffEdit now comes with a function to Create an Nroff version of a Draft or
an RFC by simply processing a text version of the document.

Simply cut and paste any RFC from the IETF website, and select convert to
Nroff, and you will get an Nroff version of it.

Fonts are changed both for Mac and Windows to use Courier fonts.

Screenshots and info are available at:
http://aaa-sec.com/nroffedit/index.html

Guess that's about it.

/Stefan

On 09-07-16 3:00 PM, "Henrik Levkowetz" <[email-masked]> wrote:

> Hi Stefan,
> 
> On 2009-07-16 14:27 Stefan Santesson said the following:
>> Hi Henrik,
>> 
>> You can store the application wherever you want,
> 
> Ack; it's only the support files I don't want in /Applications -- the
> app itself belongs there.
> 
>> it is only the empty.nroff
>> file that is searched for in Applications/Nroff
> 
> Right, that's what I understood.
> 
>> I have no problem changing that to ~/Library/Application Support if you
>> prefer.
> 
> I think most apps look for their support files first in
> /Library/Application Support/ and then in ~/Library/Application Support/
> 
>> About the font it strikes me that you may not have the font I selected which
>> is Lucida Console. Could that be why you default to another font?
> 
> Probably; Font Book.app tells me I have Lucida Grande, but not Lucida Console.
> 
>> I have changed the Mac version 1.01b where I changed the font to courier.
>> http://aaa-sec.com/pub/NroffEdit/NroffEditMac101b.zip
> 
> Yep, that gives me a fixed-width font.  Good :-)
> 
>> I hope that works better.
> 
> It does.  Of course, I now notice some other issues; the first of them
> minor, but one a bit more major for me personally, and probably hard for
> you to fix, assuming you're using a default edit pane component:
> 
>  * The File Save and File Open key shortcuts doesn't follow the Mac
>    standard; they use ^S and ^O instead of Command-S and Command-O
> 
>  * The editing key shortcuts (at least on my Mac) bear some similarity
>    to Emacs, which is good (for me) --
>     ^p Previous line
>     ^n Next line
>     ^f  Forward character
>     ^b  Backwards character
>     ^a  Beginning of line
>     ^e  End of line
>    -- but that's about where it ends.  The next commands I use frequently
>    are:
>     ^k Kill to end of line
>     ^y Yank back previous kill
>    and they're not there.  Then there are just so very many more...
>    With the Emacs command set almost hardwired in my fingers by now,
>    I'll probably go slowly mad trying to work seriously with this ,;-)
> 
> I do however hope that it's useful to some people; I'm glad there are
> some alternatives to xml2rfc.  Xml2rfc has been good for the community,
> but there are also drawbacks to monocultures.
> 
> 
> Best,
> 
> Henrik
>